## BITCMP Bitwise Boolean Complement Operation

Section: Bitwise Operations

### Usage

Usage Performs a bitwise binary complement operation on the argument and returns the result. The syntax for its use is

        y = bitcmp(a)

where a is an unsigned integer arrays. This version of the command uses as many bits as required by the type of a. For example, if a is an uint8 type, then the complement is formed using 8 bits. The second form of bitcmp allows you to specify the number of bits to use,

        y = bitcmp(a,n)

in which case the complement is taken with respect to n bits, where n must be less than the length of the integer type.

### Example

    --> bitcmp(uint16(2^14-2))

    ans =
     49153

    --> bitcmp(uint16(2^14-2),14)

    ans =
     1